import { OT } from '../../types/opentok';
import { AverageStats, Bandwidth, HasAudioVideo } from '../types/stats';
export default class MOSState {
    subscriberStatsLog: OT.SubscriberStats[];
    publisherStatsLog: OT.PublisherStats[];
    audioScoresLog: number[];
    videoScoresLog: number[];
    stats: HasAudioVideo<AverageStats>;
    bandwidth: Bandwidth;
    intervalId?: number;
    audioOnlyFallback: boolean;
    constructor(audioOnly?: boolean);
    static readonly maxLogLength: number;
    static readonly scoreInterval: number;
    readonly hasAudioTrack: () => boolean;
    readonly hasVideoTrack: () => boolean;
    getLastPublisherStats: () => OT.PublisherStats | undefined;
    private audioScore;
    private videoScore;
    clearInterval(): void;
    private pruneAudioScores;
    private pruneVideoScores;
    pruneScores(): void;
    audioQualityScore(): number;
    videoQualityScore(): number;
}
//# sourceMappingURL=MOSState.d.ts.map