export interface AudioThreshold {
    minMos: number;
}
export interface VideoThreshold {
    targetBitrate: number;
    targetBitrateSimulcast: number;
    recommendedSetting: string;
}
export type QualityTestConfig = {
    getStatsInterval: number;
    getStatsVideoAndAudioTestDuration: number;
    getStatsAudioOnlyDuration: number;
    subscribeOptions: {
        testNetwork: boolean;
        audioVolume: number;
    };
    minimumVideoAndAudioTestSampleSize: number;
    steadyStateSampleWindow: number;
    steadyStateAllowedDelta: number;
    thresholdRatio: number;
    qualityThresholds: {
        audio: AudioThreshold[];
        video: VideoThreshold[];
    };
    strings: {
        bandwidthLow: string;
        noCam: string;
        noMic: string;
    };
};
declare const config: QualityTestConfig;
export default config;
//# sourceMappingURL=config.d.ts.map